<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Welcome extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->helper(get_helpers_paginas());
        $validacao= new ValidacaoUtils();
        $validacao->carregarModelsPagina(array('noticias_model','atestadomedico_model'),$this);
        ob_start();
    }

    /**
     * Index Page for this controller.
     *
     * Maps to the following URL
     *        http://example.com/index.php/welcome
     *    - or -
     *        http://example.com/index.php/welcome/index
     *    - or -
     * Since this controller is set as the default controller in
     * config/routes.php, it's displayed at http://example.com/
     *
     * So any other public methods not prefixed with an underscore will
     * map to /index.php/welcome/<method_name>
     * @see https://codeigniter.com/user_guide/general/urls.html
     */
    public function index() {

        $this->data['reservasAgenda'] = //$this->principal_model->getReservasPendentes();
        $this->data['ocorrencias'] = //$this->principal_model->getOcorrencias();
        $this->data['notificacoes'] = //$this->principal_model->getNotificacoes();
        $this->data['mudancas'] = //$this->principal_model->getMudancasPendentes();
//        $this->data['contasvencidas'] = $this->principal_model->getQtdContas();
        $this->data['atestadomedico'] = // $this->principal_model->getQtdAtestadoMedico();
        $this->data['visitas'] = //$this->principal_model->getVisitas();
        $this->data['atestado'] = //$this->principal_model->getAtestadosVenciadosPortaria();
        $this->data['reservas'] = //$this->principal_model->getReservasPendentesPortaria();
//        $this->data['notificacaoPorBlocos'] = $this->principal_model->getNotificacaoPorBlocos();
//        $this->data['ocorrenciasPorBlocos'] = $this->principal_model->getOcorrenciaPorBlocos();
//        $this->data['maisNotificados'] = $this->principal_model->getMoradoresMaisNotificados();
//        $this->data['maisOcorrencias'] = $this->principal_model->getMoradoresMaisOcorrencias();
//        $this->data['ocorrenciasMaior'] = $this->principal_model->getOcorrenciasMaior();
//        $this->data['notificacaoMaior'] = $this->principal_model->getNotificacaoMaior();
//        $this->data['notificacaoTipo'] = $this->principal_model->getNotificacaoPorTipo();

        $this->data['view'] = 'sistema/temas/dashboard';
        $this->load->view('sistema/temas/topoSistema', $this->data);
    }
}
